/// <reference types="deck.gl" />
import { Layer } from "@deck.gl/core";
import { Model } from "@luma.gl/core";
import { LayerProps } from "@deck.gl/core/lib/layer";
import { DeckGLLayerContext } from "../../components/Map";
import { UpdateStateInfo } from "@deck.gl/core/lib/layer";
export declare type NorthArrow3DLayerProps<D> = LayerProps<D>;
export default class NorthArrow3DLayer extends Layer<unknown, NorthArrow3DLayerProps<unknown>> {
    initializeState(context: DeckGLLayerContext): void;
    shouldUpdateState(): boolean | string | null;
    updateState({ context, }: UpdateStateInfo<NorthArrow3DLayerProps<unknown>>): void;
    draw({ moduleParameters, uniforms, context }: any): void;
    _getModels(gl: any): {
        model: Model;
        models: Model[];
        modelsByName: {
            grids: Model;
        };
    };
}
